%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           puppet-neutron
Version:        9.4.2
Release:        2%{?dist}
Summary:        Puppet module for OpenStack Neutron
License:        Apache-2.0

URL:            https://launchpad.net/puppet-neutron

Source0:        https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=9.4.2
#
Patch0001: 0001-Added-retries-for-db_sync.patch
Patch0002: 0002-Make-the-neutron_l3_agent-provider-compatible-with-P.patch
Patch0003: 0003-Xenserver-patch.patch

BuildArch:      noarch

Requires:       puppet-inifile
Requires:       puppet-keystone
Requires:       puppet-nova
Requires:       puppet-openstacklib
Requires:       puppet-oslo
Requires:       puppet-stdlib
Requires:       puppet-sysctl
Requires:       puppet-vswitch
Requires:       puppet >= 2.7.0

%description
Puppet module for OpenStack Neutron

%prep
%setup -q -n openstack-neutron-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/neutron/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/neutron/



%files
%{_datadir}/openstack-puppet/modules/neutron/


%changelog
* Thu Jan 05 2017 Jon Schlueter <jschluet@redhat.com> 9.4.2-2
- Xenserver patch
- Make the neutron_l3_agent provider compatible with Puppet 4
- Added retries for db_sync (lp#1628580, lp#1645474)

* Tue Nov 22 2016 Jon Schlueter <jschluet@redhat.com> 9.4.2-1
- Update to 9.4.2

* Mon Nov 21 2016 Jason Joyce <jjoyce@redhat.com> 9.4.0-5
- Release 9.4.2
- Adds OpenDaylight local OVSDB listener

* Thu Nov 17 2016 Jon Schlueter <jschluet@redhat.com> 9.4.0-4
- Updated Nuage package name for Mitaka release

* Mon Nov 07 2016 Jon Schlueter <jschluet@redhat.com> 9.4.0-3
- Release 9.4.1
- Add option to enable Neutron's SSL middleware

* Thu Oct 20 2016 Jon Schlueter <jschluet@redhat.com> 9.4.0-2
- Changes OpenDaylight OVS 'provider_mappings' to allow an array type

* Thu Sep 29 2016 Alfredo Moralejo <amoralej@redhat.com> 9.4.0-1
- Update to 9.4.0

* Tue Sep 20 2016 Haikel Guemar <hguemar@fedoraproject.org> 9.3.0-1
- Update to 9.3.0


